## AmtkActionInfoCentralStore AmtkActionInfoCentralStore — Aggregation of all AmtkActionInfoStore's |

## Functions

AmtkActionInfoCentralStore * | amtk_action_info_central_store_get_singleton ()
AmtkActionInfo * | amtk_action_info_central_store_lookup ()

## Types and Values

struct | AmtkActionInfoCentralStore

## Object Hierarchy

        GObject
        ╰── AmtkActionInfoCentralStore

## Includes

    #include <amtk/amtk.h>

## Description

AmtkActionInfoCentralStore is a singleton class containing the aggregation of all AmtkActionInfoStore's. Each time an AmtkActionInfo is added to an AmtkActionInfoStore, it is also added to the AmtkActionInfoCentralStore.

## Functions

### amtk_action_info_central_store_get_singleton ()

    AmtkActionInfoCentralStore *
    amtk_action_info_central_store_get_singleton
                                   (void);

#### Returns

the AmtkActionInfoCentralStore singleton instance.

[transfer none]

Since: 3.0

### amtk_action_info_central_store_lookup ()

    AmtkActionInfo *
    amtk_action_info_central_store_lookup (AmtkActionInfoCentralStore *central_store,
                                           const gchar *action_name);

#### Parameters

central_store | the AmtkActionInfoCentralStore. |
action_name | an action name. |

#### Returns

the found AmtkActionInfo, or `NULL`.

[transfer none]

Since: 2.0

## Types and Values

### struct AmtkActionInfoCentralStore

    struct AmtkActionInfoCentralStore;

## See Also

AmtkActionInfoStore